<template>
    <div class="mt-16"  >
    <v-sheet  class="mx-auto w-25" >
    <v-form ref="form">
  
      <v-text-field class=""
   
      v-model="form.username"
      :counter="3"
      :rules=" [ v => !!v || 'username is required',]"
      label="user name"
      required
    ></v-text-field>
  
  
  
    <v-text-field class="my-5"
  
      v-model="form.password"
      :counter="5"
      :rules=" [ v => !!v || 'password is required',]"
      label="password"
      required
    ></v-text-field>
  
  
  
  
       
  
  
    <div class="d-flex flex-column ">
      <v-btn
        color="black"
        class="mt-4"
        block
        @click="LoginMethod">
        LOGIN
      </v-btn>
  
  
    </div>
  </v-form>
  </v-sheet>
  </div>
  </template>
  <script>
import axios from 'axios'
import {mapActions} from 'vuex'
  export default{
      name:'LoginPage',
      data: () => ({
        valid: true,
        isLogin:false,
        form : {
              username: '',
              password: '',
              
               },
    
      
      }),
    
  
      methods: {
        ...mapActions('Authstore',['setlogininfo']),
        
        async LoginMethod () {
          const { valid } = await this.$refs.form.validate();
          if(valid){
          let userdata={
          username:this.form.username,
          password:this.form.password,
          
         
          }
           await  axios.post('https://vms-api.rewardszone.net/api/login',userdata)
          .then(res => {
            axios.defaults.headers.common['Authorization'] = `Bearer ${res.data.token}` 
          localStorage.setItem('token',res.data.token)
          
          let Tokenn=localStorage.getItem('token')
         
           if(Tokenn){
            this.setlogininfo(userdata.username);
            
            this.$router.push({
            name:'homewithoutauth'
           
           }).then(()=>{
              document.getElementById('logout').style.display="inline"
              document.getElementById('login').style.display="none"
            })
           }else{
          
            this.$router.push({
            name:'home'
           });
           }
    }).catch(error => console.log(error))
    }
          
          }
        },
      
      
  }
  </script>
  <style scoped>
</style>